# addCeeTag

Adds the `@cee:` cookie to the message when enabled.

This parameter applies to imfile: Text File Input Module.

Name:

  addCeeTag

Scope:

  input

Type:

  boolean

Default:

  off

Required?:

  no

Introduced:

  at least 8.x, possibly earlier

## Description

Turns on or off the addition of the `@cee:` cookie to the message object.

## Input usage

    input(type="imfile"
          File="/var/log/example.log"
          Tag="example"
          addCeeTag="on")

## Notes

- Legacy documentation used the term `binary` for the type. It is treated as boolean.

## See also

See also imfile: Text File Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.